﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Steema.TeeChart;
using Steema.TeeChart.WPF.Styles;
using Steema.TeeChart.WPF.Tools;

namespace TChartMarksTip
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            this.tChart1.Aspect.View3D = false;

        }

        public void DrawGraph()
        {
            Steema.TeeChart.WPF.Styles.Line line = new Steema.TeeChart.WPF.Styles.Line();
            line.FillSampleValues(10);
            Series s = this.tChart1.Series.Add(line);
            MarksTip t = new MarksTip(this.tChart1.Chart);
            t.Series = s;
            t.Active = true;
            t.Style = MarksStyles.XY;
            t.MouseAction = MarksTipMouseAction.Move;
            t.GetText += new MarksTipGetTextEventHandler(t_GetText);
            
            
        }

        void t_GetText(MarksTip sender, MarksTipGetTextEventArgs e)
        {
            e.Text = e.Text + "kjkj";
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            this.DrawGraph();
        }

    }
}
